View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000122Ecere SDKecerepublic2008-08-22 02:332012-03-29 07:53
Reporterjerome 
Assigned Tojerome 
PriorityimmediateSeveritymajorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0000122: Add a separate allocSize property to the Array class
DescriptionAdd a separate allocSize property to the Array class
TagsNo tags attached.
Attached Files

- Relationships
child of 0000433closed previously resolved issues (draft 1 of 0.44 and earlier) 

-  Notes
(0000083)
jerome (administrator)
2008-08-22 17:19

Decided to keep the size property and count data member as they are, but added a minAllocSize property.
It prevents the array to be reallocated under that size.
Changed size property to zero out new items at the end.

- Issue History
Date Modified Username Field Change
2008-08-22 02:33 jerome New Issue
2008-08-22 02:39 jerome Status new => assigned
2008-08-22 02:39 jerome Assigned To => jerome
2008-08-22 17:19 jerome Note Added: 0000083
2008-08-22 17:19 jerome Status assigned => resolved
2008-08-22 17:19 jerome Resolution open => fixed
2009-05-03 03:43 jerome Status resolved => closed
2010-07-25 21:30 redj Relationship added child of 0000429
2010-07-25 21:37 redj Relationship deleted child of 0000429
2010-07-25 21:37 redj Relationship added child of 0000433
2012-03-29 07:53 redj Category => Ecere Runtime Library
2012-03-29 07:53 redj Project @1@ => Ecere SDK



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker